> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/resources/ach-request-validation-response-and-return-codes/ach-request-validation-codes.md).

# ACH Request Validation Codes

We will validate your ACH request utilizing the following rules to help reduce returned ACH payments.

Below are common validations for the incoming request on ACH transactions.

<table data-header-hidden><thead><tr><th width="76"></th><th></th></tr></thead><tbody><tr><td><ol start="1"><li> </li></ol></td><td>Amount must include two decimal places</td></tr><tr><td><ol start="2"><li> </li></ol></td><td>Amount must only contain digits and a decimal point</td></tr><tr><td><ol start="3"><li> </li></ol></td><td>Amount must be 0.00 for validate transaction</td></tr><tr><td><ol start="4"><li> </li></ol></td><td>Amount required (absolute number with two decimal places)</td></tr><tr><td><ol start="5"><li> </li></ol></td><td>Routing number required</td></tr><tr><td><ol start="6"><li> </li></ol></td><td>Account number required</td></tr><tr><td><ol start="7"><li> </li></ol></td><td>Individual name required</td></tr><tr><td><ol start="8"><li> </li></ol></td><td>Account type required (<code>Checking</code> or <code>Savings</code>)</td></tr><tr><td><ol start="9"><li> </li></ol></td><td>Routing number should be 9 digits</td></tr><tr><td>10.</td><td>Account number should be 1 to 17 digits</td></tr><tr><td>11.</td><td>Transaction-key should not be provided</td></tr><tr><td>12.</td><td>Valid values are <code>true</code> or <code>false</code></td></tr><tr><td>13.</td><td>Type should be <code>Debit</code> — Transfer funds from the customer bank account to your (merchant) bank account or <code>Credit</code> — Transfer funds from your (merchant) bank account to customer bank account</td></tr><tr><td>14.</td><td>Software type required. Please provide the name of your software, product, or service</td></tr><tr><td>15.</td><td>Software type version required. Provide version of software-type</td></tr><tr><td>16.</td><td>Provider <code>Account Id</code> required</td></tr><tr><td>17.</td><td>Valid values are <code>Pending</code>, <code>Settling</code>, <code>Returned</code>, or <code>Settled</code></td></tr><tr><td>18.</td><td>Invoice value required if invoice is the check-field</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/resources/ach-request-validation-response-and-return-codes/ach-request-validation-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
